Subject: Re: bug#37594: Menu rearrangement

From: Juri Linkov <[email-masked]>
Date: Thu, 16 Jan 2020 01:30:57 +0200

>> Also a very useful command async-shell-command has no menu item.
>> I propose to add a new submenu  "Shell" and add to it two existing
>> menu items "Shell command" and "Shell command on region",
>> and two new items "Async shell command" and "Run shell":
>> 
>> Shell:
>
> I prefer "Shell Commands"
>
>>   Shell command
>>   Shell command on region
>>   Async shell command
>>   Run shell
>
> "Run shell interactively", I think.

Done.

>> Also noticed there is no lazy-count menu item in Isearch menu.
>> Should it be?
>
> Is it important enough to have there?

Right, this is a customizable user option that is not important here.

BTW, I can't believe there is no desktop-mode activation from the menu bar.
Under "Options" there is "Save Place in Files between Sessions",
but no menu item for saving windows/tabs/frames in the desktop file.
How about adding below the above a new menu option with a title like
"Save Sessions (with buffers and windows)"